%?mingw_package_header

Summary:        MinGW Windows port of the LibTIFF library
Name:           mingw-libtiff
Version:        4.4.0
Release:    1%{?dist}
License:        libtiff
URL:            http://www.simplesystems.org/libtiff/
Source0:         https://download.osgeo.org/libtiff/tiff-%{version}.tar.xz

BuildArch:      noarch

BuildRequires: make
BuildRequires:  mingw32-zlib
BuildRequires:  mingw32-libjpeg-turbo
BuildRequires:  mingw32-filesystem >= 95
BuildRequires:  mingw32-gcc
BuildRequires:  mingw32-gcc-c++
BuildRequires:  mingw32-binutils

BuildRequires:  mingw64-zlib
BuildRequires:  mingw64-libjpeg-turbo
BuildRequires:  mingw64-filesystem >= 95
BuildRequires:  mingw64-gcc
BuildRequires:  mingw64-gcc-c++
BuildRequires:  mingw64-binutils


%description
The libtiff package contains a library of functions for manipulating
TIFF (Tagged Image File Format) image format files.  TIFF is a widely
used file format for bitmapped images.  TIFF files usually end in the
.tif extension and they are often quite large.

The libtiff package should be installed if you need to manipulate TIFF
format image files.


%package -n mingw32-libtiff
Summary:        MinGW Windows port of the LibTIFF library

%description -n mingw32-libtiff
The libtiff package contains a library of functions for manipulating
TIFF (Tagged Image File Format) image format files.  TIFF is a widely
used file format for bitmapped images.  TIFF files usually end in the
.tif extension and they are often quite large.

The libtiff package should be installed if you need to manipulate TIFF
format image files.

%package -n mingw32-libtiff-static
Summary:        Static version of the MinGW Windows LibTIFF library
Requires:       mingw32-libtiff = %{version}-%{release}

%description -n mingw32-libtiff-static
Static version of the MinGW Windows LibTIFF library.

%package -n mingw64-libtiff
Summary:        MinGW Windows port of the LibTIFF library

%description -n mingw64-libtiff
The libtiff package contains a library of functions for manipulating
TIFF (Tagged Image File Format) image format files.  TIFF is a widely
used file format for bitmapped images.  TIFF files usually end in the
.tif extension and they are often quite large.

The libtiff package should be installed if you need to manipulate TIFF
format image files.

%package -n mingw64-libtiff-static
Summary:        Static version of the MinGW Windows LibTIFF library
Requires:       mingw64-libtiff = %{version}-%{release}

%description -n mingw64-libtiff-static
Static version of the MinGW Windows LibTIFF library.


%?mingw_debug_package


%prep
%setup -q -n tiff-%{version}


%build
export MINGW32_CFLAGS="%{mingw32_cflags} -fno-strict-aliasing"
export MINGW64_CFLAGS="%{mingw64_cflags} -fno-strict-aliasing"
%mingw_configure --enable-static --enable-shared --enable-ld-version-script
%mingw_make %{?_smp_mflags}


%install
%mingw_make_install DESTDIR=%{buildroot}

rm -rf %{buildroot}%{mingw32_datadir}/doc
rm -rf %{buildroot}%{mingw32_mandir}
rm -rf %{buildroot}%{mingw64_datadir}/doc
rm -rf %{buildroot}%{mingw64_mandir}

rm -f %{buildroot}%{mingw32_bindir}/*.exe
rm -f %{buildroot}%{mingw64_bindir}/*.exe

find %{buildroot} -name "*.la" -delete


%files -n mingw32-libtiff
%doc COPYRIGHT README.md RELEASE-DATE VERSION TODO ChangeLog
%{mingw32_bindir}/libtiff-5.dll
%{mingw32_bindir}/libtiffxx-5.dll
%{mingw32_includedir}/*
%{mingw32_libdir}/libtiff.dll.a
%{mingw32_libdir}/libtiffxx.dll.a
%{mingw32_libdir}/pkgconfig/libtiff-4.pc

%files -n mingw32-libtiff-static
%{mingw32_libdir}/libtiff.a
%{mingw32_libdir}/libtiffxx.a

%files -n mingw64-libtiff
%doc COPYRIGHT README.md RELEASE-DATE VERSION TODO ChangeLog
%{mingw64_bindir}/libtiff-5.dll
%{mingw64_bindir}/libtiffxx-5.dll
%{mingw64_includedir}/*
%{mingw64_libdir}/libtiff.dll.a
%{mingw64_libdir}/libtiffxx.dll.a
%{mingw64_libdir}/pkgconfig/libtiff-4.pc

%files -n mingw64-libtiff-static
%{mingw64_libdir}/libtiff.a
%{mingw64_libdir}/libtiffxx.a


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.4.0-1
- initial build
